package com.chelvc.framework.group;

/**
 * 分组选择器接口
 *
 * @author Woody
 * @date 2024/9/8
 */
public interface GroupSelector {
    /**
     * 分组 当分组结果 < 0 表示未分组， = 0 表示对照组，> 0 表示实验组
     *
     * @param count 分组数量
     * @param args  方法输入/出参数数组
     * @return 分组编号
     */
    int grouping(int count, Object... args);
}
